gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A that allows a scrollable view of its child when added to a .

To scroll correctly, a ordinarily requires explicit support from the that will be scrolled. However, a Viewport adds scrolling capabilities to an arbitrary child widget. For example, you can add a collection of widgets to a container. By simply placing the in a Viewport, you need only add the Viewport to a to visually scroll the contents of your Table.

The "model" of this widget consists of horizontal and vertical objects. These do not need to be explicitly set to use the Viewport. Packing a child widget as demonstrated in the example, below, is all that is required.

The appearance of the Viewport can be adjusted using the property.

The following example creates a in a Viewport. When placed in a small , the widgets can be scrolled.

`namespace GtkSamples { using Gtk; using System; public class ViewportApp { public static ScrolledWindow CreateViewport() { ScrolledWindow scroller = new ScrolledWindow(); Viewport viewer = new Viewport(); Table widgets = new Table(1, 2, false); widgets.Attach(new Entry("This is example Entry 1"), 0, 1, 0, 1); widgets.Attach(new Entry("This is example Entry 2"), 1, 2, 0, 1); // Place the widgets in a Viewport, and the Viewport in a ScrolledWindow viewer.Add(widgets); scroller.Add(viewer); return scroller; } public static int Main (string[] args) { Application.Init (); Window win = new Window ("Viewport Tester"); win.SetDefaultSize (180, 50); win.DeleteEvent += new DeleteEventHandler (Window_Delete); ScrolledWindow scroller = CreateViewport(); win.Add (scroller); win.ShowAll (); Application.Run (); return 0; } static void Window_Delete (object obj, DeleteEventArgs args) { Application.Quit (); args.RetVal = true; } } }` Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Viewport, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new Viewport with the specified horizontal and vertical Adjustments.
  An to model horizontal viewing.
  An to model vertical viewing.
  A new Viewport
- Property
  Gtk.Adjustment Manage the horizontal model. A new for horizontal scrolling. The current state of the horizontal model
- Property
  Gtk.Adjustment Manage the vertical model. A new for vertical scrolling. The current state of the vertical model.
- Property
  Gtk.ShadowType Manage the shadow style surrounding the Viewport contents. A new shadow style. The current shadow style surrounding the child widget.
- Event
  Gtk.ScrollAdjustmentsSetHandler This event is fired when the or properties are set.
- Constructor
  The main way to create a Viewport.
  A new Viewport.

  Horizontal and vertical objects are automatically created.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.